Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 05 Mar 2023 09:38:42 +0000 (UTC)

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I'm extremely disappointed with the delivery service. It shows out for delivery since 2pm. And 4 hours later still haven't received it. I have paid extra so I could have the product delivered soon as it said same day delivery. Even pick would have been quicker. I even called centerpoint and requested them to deliver between 3-4pm as it was a gift. And yet I have still not received it. This isn't the first time I'm disappointed.  Last time the product was delivered after 10pm which is such an inappropriate time. Delivering late in the evening does not count as same day delivery.  Pls work on your delivery services. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5768246